curl --request GET \
--url https://api.deepl.com/v3/style_rules \
--header 'Authorization: <api-key>'{
"style_rules": [
{
"style_id": "bd0a38f3-1831-440b-a8dd-2c702e2325ab",
"name": "<string>",
"creation_time": "2023-11-07T05:31:56Z",
"updated_time": "2023-11-07T05:31:56Z",
"language": "de",
"version": 13,
"configured_rules": {
"style_and_tone": {
"abbreviations": "use_abbreviations_and_symbols",
"short_vs_long_words": "use_short_words"
},
"punctuation": {
"apostrophe": "use_curly_apostrophes"
}
},
"custom_instructions": [
{
"id": "68fdb803-c013-4e67-b62e-1aad0ab519cd",
"label": "Currency custom instruction",
"prompt": "Have currency symbols before the numerical value (e.g. $100, €100)",
"source_language": "en"
}
]
}
]
}curl --request GET \
--url https://api.deepl.com/v3/style_rules \
--header 'Authorization: <api-key>'{
"style_rules": [
{
"style_id": "bd0a38f3-1831-440b-a8dd-2c702e2325ab",
"name": "<string>",
"creation_time": "2023-11-07T05:31:56Z",
"updated_time": "2023-11-07T05:31:56Z",
"language": "de",
"version": 13,
"configured_rules": {
"style_and_tone": {
"abbreviations": "use_abbreviations_and_symbols",
"short_vs_long_words": "use_short_words"
},
"punctuation": {
"apostrophe": "use_curly_apostrophes"
}
},
"custom_instructions": [
{
"id": "68fdb803-c013-4e67-b62e-1aad0ab519cd",
"label": "Currency custom instruction",
"prompt": "Have currency symbols before the numerical value (e.g. $100, €100)",
"source_language": "en"
}
]
}
]
}Documentation Index
Fetch the complete documentation index at: https://deepl-c950b784-voice-jobs-api.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authentication with Authorization header and DeepL-Auth-Key authentication scheme. Example: DeepL-Auth-Key <api-key>
The index of the first page to return. Use with page_size to get the next page of rule lists
The maximum number of style rule lists to return.
1 <= x <= 25Determines if the rule list's configured_rules and custom_instructions should be included in the response body.
JSON object containing the style rule lists.
Show child attributes